DEVELOPER

Merchant Boarding API Specification

Version 1.50

production
sandbox

Application Pricing

Merchant Application Pricing related section.

Get Application Pricing

get /enroll/application/pricing/key/{externalKey}

Get application pricing details by application external key.

Parameters
externalKey required
Type
string
Pattern
^(?!.*/).*$
Range
1 to 50 characters
Example
0aa000a-000a-00a0-00a0-00000aa00a0

Loading...

Example Response
200 Return pricing details for enrollment application.
404 Application not found error response.
500 Internal server error response.

Update Application Pricing

patch /enroll/application/pricing/key/{externalKey}

The Update Application Pricing endpoint uses the PATCH method to give Partners the ability to edit pricing fields directly on applications. Please refer to the 'Pricing Field Conditions' section of the Merchant Boarding API Integration Guide for the field mapping conditions required to successfully update specific pricing field values. Once an application has been created, this endpoint can be leveraged to set customized values for applicable pricing fields without creating a new template. Any changes made using this endpoint will only affect the application specified by the external key and will not change the template.

Parameters
externalKey required
Type
string
Pattern
^(?!.*/).*$
Range
1 to 50 characters
Example
0aa000a-000a-00a0-00a0-00000aa00a0

Loading...

Request Schema
accountSetupFee
Type
number
Range
0 to 999999.9999
Example
15.5

Loading...

additionalFees
Type
object

Loading...

amexInterchangeDuesAssessmentsBasisPoint
Type
number
Range
0 to 1000
Example
25

Loading...

amexQualifiedRate
Type
number
Range
0 to 99
Example
0.25

Loading...

debitInterchangeDuesAssessmentsBasisPoint
Type
number
Range
0 to 1000
Example
25

Loading...

debitQualifiedRate
Type
number
Range
0 to 99
Example
0.25

Loading...

ebtInterchangeDuesAssessmentsBasisPoint
Type
number
Range
0 to 1000
Example
25

Loading...

ebtQualifiedRate
Type
number
Range
0 to 99
Example
0.25

Loading...

qualifiedCheckCardRate
Type
number
Range
0 to 99
Example
0.25

Loading...

qualifiedCheckCardTransactionFee
Type
number
Range
0 to 999999.99
Example
1.25

Loading...

interchangeTransactionPassthroughCreditFee
Type
number
Range
0 to 999999.9999
Example
1.25

Loading...

interchangeTransactionPassthroughCheckcardFee
Type
number
Range
0 to 999999.9999
Example
1.25

Loading...

equipmentCostToMerchant
Type
number
Default
0
Range
0 to 999999.99
Example
25

Loading...

pciFeeBillingFrequency
Type
string
Default
ANNUAL
Enum
MONTHLYANNUALmonthlyannualMonthlyAnnual
Example
ANNUAL

Loading...

edgeFlatFee
Type
number
Range
0 to 999999.9999
Example
1.25

Loading...

edgePercentFee
Type
number
Range
0 to 99
Example
0.25

Loading...

enableAchDiscountFee
Type
boolean
Example
true

Loading...

enableDebitInterchangeBilling
Type
boolean
Example
true

Loading...

enableInterchangeTransactionPassthroughFee
Type
boolean
Example
true

Loading...

enableNetworkAccessBrandFees
Type
boolean
Example
true

Loading...

enablePassthroughAssessment
Type
boolean
Example
false

Loading...

hasRealTimeAccountUpdaterEnabled
Type
boolean
Example
false

Loading...

interchangeDuesAssessmentsBasisPoint
Type
number
Range
0 to 1000
Example
25

Loading...

midQualifiedBump
Type
number
Range
0 to 99
Example
0.25

Loading...

nonQualifiedBump
Type
number
Range
0 to 99
Example
0.25

Loading...

nonQualifiedTransactionFeeBump
Type
number
Range
0 to 999999.99
Example
1.25

Loading...

qualifiedAmexTransactionFee
Type
number
Range
0 to 999999.99
Example
1.25

Loading...

qualifiedRate
Type
number
Range
0 to 99
Example
0.25

Loading...

qualifiedTransactionFee
Type
number
Range
0 to 999999.99
Example
1.25

Loading...

rewardRate
Type
string
Enum
MQQ203040506070809095
Example
Q

Loading...

waiveTerminationFee
Type
boolean
Example
false

Loading...

Example Request
{
  "accountSetupFee": 10.12,
  "additionalFees": {
    "achTransactionFee": 0,
    "achDiscountFee": 0,
    "achMinimumPerItemFee": 0,
    "achBatchHeaderFee": 30,
    "achMonthlyBasicServiceFee": 1,
    "achNotificationOfChangeFee": 1,
    "achPerItemFee": 1,
    "achRejectFee": 1,
    "achReturnFee": 1,
    "achUnauthorizedReturnFee": 22,
    "batchHeader": 0,
    "chargeBackFee": 15,
    "debitGatewayFee": 0,
    "debitTransactionFee": 0,
    "ebtTransactionFee": 0,
    "gatewayTransactionFee": 0,
    "internetGatewayMonthlyFee": 0,
    "internetTransactionFee": 0,
    "mcclaimsFee": 0,
    "merchantClubFee": 14.95,
    "monthlyBasicServiceFee": 5,
    "monthlyDiscountFee": 0,
    "monthlyHostingFee": 0,
    "monthlyMinimumDiscountFee": 25,
    "monthlyMinimumFee": 0,
    "monthlyRegulatoryFee": 0,
    "monthlySoftwareFeePerDevice": 11.99,
    "pciComplianceMonthlyFee": 19,
    "pciNonComplianceMonthlyFee": 59,
    "processorAuthorizationFee": 0,
    "retrievalFee": 15,
    "returnItemSupportFee": 0,
    "settledTransactionFee": 0,
    "technologyFee": 0,
    "travelAndEntertainmentDraftCaptureTransactionFee": 0,
    "wirelessMonthlyFee": 0,
    "wirelessTransactionFee": 0,
    "visaRealTimeAccountUpdaterPassthruFee": 0.22
  },
  "amexInterchangeDuesAssessmentsBasisPoint": null,
  "amexQualifiedRate": 0.12,
  "debitInterchangeDuesAssessmentsBasisPoint": null,
  "debitQualifiedRate": null,
  "ebtInterchangeDuesAssessmentsBasisPoint": null,
  "ebtQualifiedRate": null,
  "edgeFlatFee": 0,
  "edgePercentFee": 0,
  "enableAchDiscountFee": false,
  "enableDebitInterchangeBilling": false,
  "enableInterchangeTransactionPassthroughFee": false,
  "enableNetworkAccessBrandFees": true,
  "enablePassthroughAssessment": false,
  "equipmentCostToMerchant": 20.5,
  "hasRealTimeAccountUpdaterEnabled": true,
  "interchangeDuesAssessmentsBasisPoint": null,
  "interchangeTransactionPassthroughCheckcardFee": 2.45,
  "interchangeTransactionPassthroughCreditFee": 1.45,
  "midQualifiedBump": 0.17,
  "nonQualifiedBump": 0.67,
  "nonQualifiedTransactionFeeBump": 0.15,
  "pciFeeBillingFrequency": "ANNUAL",
  "qualifiedAmexTransactionFee": null,
  "qualifiedCheckCardRate": null,
  "qualifiedCheckCardTransactionFee": 1.5,
  "qualifiedRate": 0.69,
  "qualifiedTransactionFee": 0.99,
  "rewardRate": "MQ",
  "waiveTerminationFee": false
}
Example Response
200 Return updated pricing details for enrollment application.
400 Bad request with validation errors
404 Application not found error
415 Unsupported media type response - Invalid content type.
422 Schema validation error within request body response.

Update Advanced Application Pricing

patch /application/advanced-pricing-model/key/{externalKey}

Update advanced application pricing settings using the Patch method.

Parameters
externalKey required
Type
string
Pattern
^(?!.*/).*$
Range
1 to 50 characters
Example
2dc4436c-474d-46c3-83e8-50312fc27b01

Loading...

Request Schema
pricingModel
Type
string
Enum
tieredinterchangePlusqualifyingIncentiveflatRateedgeProgrampayAsYouGo
Example
tiered

Loading...

surchargeTable
Type
string
Pattern
^[A-Z0-9]+$
Range
1 to 2 characters
Example
N

Loading...

industryType
Type
string
Enum
internetmotorestaurantretail
Example
restaurant

Loading...

isEdgePricing
Type
boolean
Example
false

Loading...

isFlatRatePricing
Type
boolean
Example
false

Loading...

isPayAsYouGo
Type
boolean
Example
false

Loading...

accountSetupFee
Type
number
Range
0 to 999999.9999
Example
15.5

Loading...

amexInterchangeDuesAssessmentsBasisPoint
Type
number
Range
0 to 1000
Example
25

Loading...

amexQualifiedRate
Type
number
Range
0 to 99
Example
0.25

Loading...

annualFee
Type
number
Range
0 to 999999.9999
Example
75

Loading...

debitInterchangeDuesAssessmentsBasisPoint
Type
number
Range
0 to 1000
Example
25

Loading...

debitQualifiedRate
Type
number
Range
0 to 99
Example
0.25

Loading...

ebtInterchangeDuesAssessmentsBasisPoint
Type
number
Range
0 to 1000
Example
25

Loading...

ebtQualifiedRate
Type
number
Range
0 to 99
Example
0.25

Loading...

ebtTransactionFee
Type
number
Range
0 to 999999.9999
Example
1.25

Loading...

edgeEnabled
Type
boolean
Example
false

Loading...

edgeFlatFee
Type
number
Range
0 to 999999.9999
Example
1.25

Loading...

edgePercentFee
Type
number
Range
0 to 99
Example
0.25

Loading...

enableAchDiscountFee
Type
boolean
Example
true

Loading...

enableDebitInterchangeBilling
Type
boolean
Example
true

Loading...

enableInterchangeTransactionPassthroughFee
Type
boolean
Example
true

Loading...

enableNetworkAccessBrandFees
Type
boolean
Example
true

Loading...

enablePassthroughAssessment
Type
boolean
Example
false

Loading...

equipmentCostToMerchant
Type
number
Default
0
Range
0 to 999999.99
Example
25

Loading...

hasRealTimeAccountUpdaterEnabled
Type
boolean
Example
false

Loading...

interchangeDuesAssessmentsBasisPoint
Type
number
Range
0 to 1000
Example
25

Loading...

interchangeTransactionPassthroughCheckcardFee
Type
number
Range
0 to 999999.9999
Example
1.25

Loading...

interchangeTransactionPassthroughCreditFee
Type
number
Range
0 to 999999.9999
Example
1.25

Loading...

midQualifiedBump
Type
number
Range
0 to 99
Example
0.25

Loading...

midQualifiedBasisPointBump
Type
number
Range
0 to 99
Example
0.25

Loading...

nonQualifiedBump
Type
number
Range
0 to 99
Example
0.25

Loading...

nonQualifiedBasisPointBump
Type
number
Range
0 to 99
Example
0.25

Loading...

nonQualifiedTransactionFeeBump
Type
number
Range
0 to 999999.99
Example
1.25

Loading...

pciFeeBillingFrequency
Type
string
Default
ANNUAL
Enum
MONTHLYANNUALmonthlyannualMonthlyAnnual
Example
ANNUAL

Loading...

qualifiedAmexTransactionFee
Type
number
Range
0 to 999999.99
Example
1.25

Loading...

qualifiedCheckCardRate
Type
number
Range
0 to 99
Example
0.25

Loading...

qualifiedCheckCardTransactionFee
Type
number
Range
0 to 999999.99
Example
1.25

Loading...

qualifiedRate
Type
number
Range
0 to 99
Example
0.25

Loading...

qualifiedTransactionFee
Type
number
Range
0 to 999999.99
Example
1.25

Loading...

rewardRate
Type
string
Enum
MQQ203040506070809095
Example
Q

Loading...

waiveTerminationFee
Type
boolean
Example
false

Loading...

additionalFees
Type
object

Loading...

Example Request
{
  "enableInterchangeTransactionPassthroughFee": true,
  "enableNetworkAccessBrandFees": true,
  "enablePassthroughAssessment": true,
  "industryType": "retail",
  "interchangeDuesAssessmentsBasisPoint": null,
  "interchangeTransactionPassthroughCheckcardFee": 0.22,
  "interchangeTransactionPassthroughCreditFee": 0.1,
  "isEdgePricing": false,
  "isFlatRatePricing": false,
  "isPayAsYouGo": false,
  "midQualifiedBump": 1.49,
  "nonQualifiedBump": 2.14,
  "nonQualifiedTransactionFeeBump": 0.1,
  "pricingModel": "tiered",
  "qualifiedCheckCardRate": null,
  "qualifiedCheckCardTransactionFee": null,
  "qualifiedTransactionFee": 0,
  "rewardRate": "MQ",
  "surchargeTable": "N",
  "hasRealTimeAccountUpdaterEnabled": true,
  "additionalFees": {
    "achBatchHeaderFee": 0,
    "achDiscountFee": 0,
    "achMinimumPerItemFee": 0,
    "achMonthlyBasicServiceFee": 0,
    "achNotificationOfChangeFee": 0,
    "achPerItemFee": 0,
    "achRejectFee": 0,
    "achReturnFee": 0,
    "achTransactionFee": 0,
    "achUnauthorizedReturnFee": 0,
    "addressVerificationServiceFee": 0.05,
    "batchHeader": 0.35,
    "chargeBackFee": 25,
    "cybersourceAccountUpdateTransactionFee": 0.1,
    "cybersourceFraudManagementEssentialsFee": 0.1,
    "cybersourceGatewayTransactionFee": 0.1,
    "cybersourceInvoicingMonthlyFee": 0.1,
    "cybersourcePayerAuthenticationTransactionFee": 0.1,
    "cybersourceRecurringBillingTmsTransactionFee": 0.1,
    "cybersourceTmsTokenAggregateFee": 0.1,
    "debitGatewayFee": 7.95,
    "debitSettledTransactionFee": 0,
    "debitTransactionFee": 0.35,
    "ebtSettledTransactionFee": 0,
    "ebtTransactionFee": 0.2,
    "gatewayTransactionFee": 0,
    "internetGatewayMonthlyFee": 20,
    "internetTransactionFee": 0.1,
    "mcclaimsFee": 0,
    "merchantClubFee": 29.95,
    "monthlyBasicServiceFee": 10,
    "monthlyDiscountFee": 0,
    "monthlyHostingFee": 0,
    "monthlyMinimumDiscountFee": 25,
    "monthlyMinimumFee": 0,
    "monthlyRegulatoryFee": 0,
    "monthlySoftwareFeePerDevice": 0,
    "pciComplianceMonthlyFee": 19,
    "pciNonComplianceMonthlyFee": 59,
    "processorAuthorizationFee": 0,
    "retrievalFee": 15,
    "returnItemSupportFee": 30,
    "settledTransactionFee": 0,
    "statementMailingFee": 1,
    "technologyFee": 0,
    "touchToneTransactionFee": 0.5,
    "travelAndEntertainmentDraftCaptureTransactionFee": 0.25,
    "voiceAuthorizationFee": 1,
    "wirelessActivationFee": 35,
    "wirelessMonthlyFee": 29.95,
    "wirelessTransactionFee": 0.1,
    "visaRealTimeAccountUpdaterPassthruFee": 0.12
  }
}
Example Response
200 Return updated pricing details for enrollment application.
400 Bad request with validation errors response.
404 Application not found error response.
415 Unsupported media type response - Invalid content type.
422 Schema validation error within request body response.
©2026 North is a registered DBA of NorthAB, LLC. All rights reserved. North is a registered ISO of BMO Bank N.A., Chicago, IL, Citizens Bank N.A., Providence, RI, The Bancorp Bank, Philadelphia, PA, FFB Bank, Fresno, CA, and PNC Bank, N.A. Pittsburgh, PA. North is a registered ISO/MSP of Merrick Bank, South Jordan, UT.